﻿using ASPMVCRouting1.Models;
using System.Web.Mvc;


/////////////////////////////////////////////////
//      www.interestprograms.ru
//      Программы, игры и их исходные коды
////////////////////////////////////////////////

namespace ASPMVCRouting1.Controllers
{
    // Каждый контроллер это отдельный пункт меню,
    // каждый метод Action отдельный пункт субменю.

    public class ElectroLampyController : Controller
    {
        // Переменные для унификации кода
        private string _urlCatalog = null;
        private string _urlElement = null;

        // Метод вызывается перед исполнением какого-либо action метода,
        // в этом методе уже известны имена контроллера и вызванного метода action
        protected override void OnActionExecuting(ActionExecutingContext ctx)
        {
            // Заполняем переменные названиями текущего каталога и подкаталога
            _urlCatalog = ctx.RouteData.Values["controller"].ToString();
            _urlElement = ctx.RouteData.Values["action"].ToString();
        }



        // GET: ElectroLampy
        public ActionResult Index()
        {
            GetData getData = new GetData();
            getData.PrepareCatalog(_urlCatalog);

            return View(getData);
        }

        public ActionResult Svetodiodnye(string id)
        {
            GetData getData = null;

            if (id != null)
            {
                getData = new GetData();
                getData.PrepareItem(_urlCatalog, _urlElement, id);

                return View("~/Views/Template/Item.cshtml", getData);
            }
            
            getData = Common.ModelElement(_urlCatalog, _urlElement);

            return View("~/Views/Template/Element.cshtml", getData);
        }

        public ActionResult Luminescentnye(string id)
        {
            GetData getData = null;

            if (id != null)
            {
                getData = new GetData();
                getData.PrepareItem(_urlCatalog, _urlElement, id);

                return View("~/Views/Template/Item.cshtml", getData);
            }

            getData = Common.ModelElement(_urlCatalog, _urlElement);

            return View("~/Views/Template/Element.cshtml", getData);

            
        }

        public ActionResult Nakalivaniya(string id)
        {
            GetData getData = null;


            // Во всех контроллерах рекомендуется использовать унифицированные 
            // методы обработки запросов пользователей сайта.
            // Для упрощения отладки.

            getData = Common.ModelItem(_urlCatalog, _urlElement, id);
            if (getData != null)
            {
                return View(Common.ItemView, getData);
            }


            getData = Common.ModelElement(_urlCatalog, _urlElement);

            return View(Common.ElementView, getData);
        }

    }


    
}