﻿using ASPMVCRouting1.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;


/////////////////////////////////////////////////
//      www.interestprograms.ru
//      Программы, игры и их исходные коды
////////////////////////////////////////////////

namespace ASPMVCRouting1.Controllers
{

    // Каждый контроллер это отдельный пункт меню,
    // каждый метод Action отдельный пункт субменю.

    // Во всех контроллерах рекомендуется использовать унифицированные 
    // методы обработки запросов пользователей сайта.
    // Работа данного контроллера полностью автоматизирована.
    // Аналогично код можно построить и в других контроллерах данного приложения

    public class IzmeritelnyePriboryController : Controller
    {

        private string _urlCatalog = null;
        private string _urlElement = null;


        protected override void OnActionExecuting(ActionExecutingContext ctx)
        {
            // Чтобы имена контроллера и метода 
            _urlCatalog = ctx.RouteData.Values["controller"].ToString();
            _urlElement = ctx.RouteData.Values["action"].ToString();
        }

        // GET: IzmeritelnyePribory
        public ActionResult Index()
        {
            GetData getData = new GetData();
            getData.PrepareCatalog("IzmeritelnyePribory");

            return View(getData);
        }

        public ActionResult Voltmetr(string id)
        {
            GetData getData = Common.ModelItem(_urlCatalog, _urlElement, id);
            if (getData != null)
            {
                return View(Common.ItemView, getData);
            }


            getData = Common.ModelElement(_urlCatalog, _urlElement);

            return View(Common.ElementView, getData);
        }

        public ActionResult Ampermetr(string id)
        {
            GetData getData = Common.ModelItem(_urlCatalog, _urlElement, id);
            if (getData != null)
            {
                return View(Common.ItemView, getData);
            }


            getData = Common.ModelElement(_urlCatalog, _urlElement);

            return View(Common.ElementView, getData);
        }

        public ActionResult Ommemtr(string id)
        {
            GetData getData = Common.ModelItem(_urlCatalog, _urlElement, id);
            if (getData != null)
            {
                return View(Common.ItemView, getData);
            }


            getData = Common.ModelElement(_urlCatalog, _urlElement);

            return View(Common.ElementView, getData);
        }
        
    }
}